<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetServiceFee StructType
 * @package Dg
 * @subpackage Structs
 */
class DgGetServiceFee extends AbstractStructBase
{
    /**
     * The ServiceFeeInfoRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgServiceFeeInfoRQ
     */
    public $ServiceFeeInfoRQ;
    /**
     * Constructor method for GetServiceFee
     * @uses DgGetServiceFee::setServiceFeeInfoRQ()
     * @param \dgsoft\StructType\DgServiceFeeInfoRQ $serviceFeeInfoRQ
     */
    public function __construct(\dgsoft\StructType\DgServiceFeeInfoRQ $serviceFeeInfoRQ = null)
    {
        $this
            ->setServiceFeeInfoRQ($serviceFeeInfoRQ);
    }
    /**
     * Get ServiceFeeInfoRQ value
     * @return \dgsoft\StructType\DgServiceFeeInfoRQ|null
     */
    public function getServiceFeeInfoRQ()
    {
        return $this->ServiceFeeInfoRQ;
    }
    /**
     * Set ServiceFeeInfoRQ value
     * @param \dgsoft\StructType\DgServiceFeeInfoRQ $serviceFeeInfoRQ
     * @return \dgsoft\StructType\DgGetServiceFee
     */
    public function setServiceFeeInfoRQ(\dgsoft\StructType\DgServiceFeeInfoRQ $serviceFeeInfoRQ = null)
    {
        $this->ServiceFeeInfoRQ = $serviceFeeInfoRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgGetServiceFee
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
